# 数据包处理

在 Linux 下，死亡细胞的文件在 `~/.steam/debian-installation/steamapps/common/Dead Cells/`。

Linux 版没有 ModTools，需要在 Steam 的设置中选择强制使用 Steam Play，下载 Windows 版的死亡细胞。

wine-7.18 可以直接运行 ModTools。Wine prefix 可以建立在 `data/extraction/wire_prefix`，这个路径已经加到了 `.gitignore` 中。ModTools 的手册在死亡细胞文件夹里的 `ModTools/ModsDoc.pdf`。

```bash
mkdir respak-31-2 && cd respak-31-2 # respak- 开始的文件夹会被忽略
wine PAKTool.exe -Expand -outdir . -refpak <path_to_res.pak> # 将数据包解压到刚才建立的文件夹中
```

解压后，对于百科机器人，重要的文件有：

- CastleDB 的数据在 `data.cdb`，这是一个庞大的 JSON 文件。
- `cardIcons.png` 中是武器的图标。
- `lang/man.zh.mo` 中文翻译，是 GNU gettext 文件，但是用 gettext 打不开

CastleDB 的下载和运行：

1. 从 <https://nwjs.io/> 下载 NW.js，解压得到 `nwjs-v0.68.1-linux-x64` 文件夹
2. 从 <https://github.com/ncannasse/castle> 下载 NWJS Package，解压得到 `package.nw` 文件
3. 把 `package.nw` 放到 `nwjs-v0.68.1-linux-x64` 中
4. 运行 `nw` 启动 CastleDB

然而打不开 `data.cdb`

使用 prettier 格式化 `data.cdb`，与之前的 `cardIcons.png` 一并放到 `raw-31-0` 文件夹中。
